
#ifndef	_HardWareProfile_h_
#define	_HardWareProfile_h_

sbit	Switch1	=	P1^0;
sbit	Switch2	=	P1^1;

sbit 	rs 		= 	P2^0;  
sbit 	en 		= 	P2^2;  
sbit 	rw 		= 	P2^1;  
sbit 	b 		= 	P0^7;
  
sbit	PWMPIN1	=	P3^6;
sbit	PWMPIN2	=	P3^7;

//sbit    sensor1	=	P1^3;
//sbit    sensor2	=	P1^2;
//sbit    sensor3	=	P1^5;
//sbit    sensor4	=	P1^4;

#define	sensor1	P1_3
#define	sensor2	P1_2
#define	sensor3	P1_5
#define	sensor4	P1_4

bit 	dooropen	= 	1;
bit		doorclose	=	1;  

unsigned	char	Counter1	=	0;
unsigned	char	Counter2	=	0;
volatile	unsigned	char	Period1	=	0;
volatile	unsigned	char	Period2	=	0;


void InitPorts	(void);
void InitTimer	(void);
void switchpress(void);
void writecmd(unsigned char a); 
void writedat(unsigned char b); 
void busy();   
void writestr(unsigned char *s);





#endif